.c-button {
  align-content: center;
  cursor: pointer;
  display: inline-flex;
  justify-content: center;
  padding: 16px 24px;
  @apply rounded;
  border: 0;
  background-color: $color-brand-primary-light;
  color: $color-brand-primary-dark;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  text-decoration: none;
  transition: background-color 200ms;

  &--lighter {
    font-weight: 500;
  }

  &--smaller {
    font-size: 14px;
    line-height: 20px;
    padding: 10px 20px;
  }
}

.c-button--primary-dark {
  background-color: $color-palette-green-900;
  color: $color-palette-white;

  &:hover {
    background-color: $color-palette-green-800;
  }
}

.c-button--primary {
  background-color: $color-palette-green-200;
  color: $color-palette-green-900;

  &:hover {
    background-color: $color-palette-green-100;
  }
}

.c-button--warning {
  background-color: $color-palette-orange-200;
  color: $color-palette-orange-900;

  &:hover {
    background-color: $color-palette-orange-100;
  }
}

.c-button--warning-dark {
  background-color: $color-palette-orange-900;
  color: $color-palette-white;

  &:hover {
    background-color: $color-palette-orange-700;
  }
}

.c-button--full {
  display: block;
  width: 100%;
}
